Debian Bug report logs - #566728
noteedit: Show up in lost+found KDE menu section, should be in Multimedia section

version graph

Package: noteedit; Maintainer for noteedit is Paul Brossier <piem@debian.org>;

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 24 Jan 2010 20:48:02 UTC

Severity: important

Tags: patch

Merged with 396805, 489248

Found in versions noteedit/2.8.1-2, noteedit/2.8.1-2.2

Fixed in version noteedit/2.8.1-3

Done: Paul Brossier <piem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Brossier <piem@debian.org>:
Bug#566728; Package noteedit. (Sun, 24 Jan 2010 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Paul Brossier <piem@debian.org>. (Sun, 24 Jan 2010 20:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: noteedit: Show up in lost+found KDE menu section, should be in Multimedia section
Date: Sun, 24 Jan 2010 21:43:20 +0100
Package:  noteedit
Version:  2.8.1-2.2
Tags:     patch
User:     debian-edu@lists.debian.org
UserTags: debian-edu

In a Debian Edu Squeeze installation, noteedit show up in the
lost+found KDE menu section.  No program should be there.  I believe
the cause of this is that none of the categories listed in the desktop
file for noteedit is recognized by KDE in Squeeze.  I found a solution
by adding the 'AudioVideo' category to the file.  This moved the menu
entry to the Multimedia section, where I believe it belong.

This untested patch (as in I have not tried to build the package after
it is applied) should solve the issue:

--- noteedit-2.8.1/noteedit/noteedit.desktop    2006-03-26 22:54:53.000000000 +0200
+++ noteedit-2.8.1-pere/noteedit/noteedit.desktop       2010-01-24 21:38:43.000000000 +0100
@@ -16,5 +16,5 @@
 Icon=noteedit
 ServiceTypes=Browser/View
 X-KDE-Library=libnoteedit
-Categories=Qt;KDE;Audio;
+Categories=Qt;KDE;Audio;AudioVideo
 Encoding=UTF-8

Happy hacking,
-- 
Petter Reinholdtsen




Severity set to 'important' from 'normal' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sun, 24 Jan 2010 21:51:08 GMT) Full text and rfc822 format available.

Merged 396805 489248 566728. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sun, 24 Jan 2010 21:51:14 GMT) Full text and rfc822 format available.

Reply sent to Paul Brossier <piem@debian.org>:
You have taken responsibility. (Mon, 22 Feb 2010 01:48:19 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 22 Feb 2010 01:48:20 GMT) Full text and rfc822 format available.

Message #14 received at 566728-close@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@debian.org>
To: 566728-close@bugs.debian.org
Subject: Bug#566728: fixed in noteedit 2.8.1-3
Date: Mon, 22 Feb 2010 01:47:13 +0000
Source: noteedit
Source-Version: 2.8.1-3

We believe that the bug you reported is fixed in the latest version of
noteedit, which is due to be installed in the Debian FTP archive:

noteedit-data_2.8.1-3_all.deb
  to main/n/noteedit/noteedit-data_2.8.1-3_all.deb
noteedit_2.8.1-3.diff.gz
  to main/n/noteedit/noteedit_2.8.1-3.diff.gz
noteedit_2.8.1-3.dsc
  to main/n/noteedit/noteedit_2.8.1-3.dsc
noteedit_2.8.1-3_i386.deb
  to main/n/noteedit/noteedit_2.8.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Brossier <piem@debian.org> (supplier of updated noteedit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Feb 2010 18:15:42 +0100
Source: noteedit
Binary: noteedit noteedit-data
Architecture: source i386 all
Version: 2.8.1-3
Distribution: unstable
Urgency: low
Maintainer: Paul Brossier <piem@debian.org>
Changed-By: Paul Brossier <piem@debian.org>
Description: 
 noteedit   - KDE Music Editor
 noteedit-data - KDE Music Editor (data files)
Closes: 396805 464743 474896 484418 489248 526777 535406 566728
Changes: 
 noteedit (2.8.1-3) unstable; urgency=low
 .
   * Acknowledge NMU (closes: #484418, #474896, #464743)
   * Fix KDE menu entry (closes: #396805, #489248, #566728)
   * Remove bashism in debian/rules (closes: #535406)
   * Earlier rebuild fixed segfault (closes: #526777)
   * debian/control: span build-depends on multiple lines, bump debhelper
     depends, add misc:Depends
   * debian/rules: do not ignore make clean error, use dh_prep
   * debian/noteedit.preinst: do not ignore preinst errors
   * debian/compat: bump to 7
   * debian/menu: update section
   * debian/copyright: version GPL
Checksums-Sha1: 
 090a4b5c96b191632cb780153c3383e538968385 1095 noteedit_2.8.1-3.dsc
 59d75f4eecc378013873faa508b9ce5f8ab5e55d 563243 noteedit_2.8.1-3.diff.gz
 465a75a56804ee2bb7dc9761c086c1aa1a9e60b5 869126 noteedit_2.8.1-3_i386.deb
 ad972d32a179ee44c9229bcacd08cb3ed740efbf 1508888 noteedit-data_2.8.1-3_all.deb
Checksums-Sha256: 
 5ab66aa732fe11afee31c8aec98c4ddc5ee4badc0df8be124f21d514d07086c4 1095 noteedit_2.8.1-3.dsc
 1588be4bdb6c1209141ee5cafef04aca926b8c55ed6dff256ee6261db0e3f27e 563243 noteedit_2.8.1-3.diff.gz
 11f1397738ca13b2687a3d3d4502ae7689c42e6479b0696938ebf9c2df6d84d9 869126 noteedit_2.8.1-3_i386.deb
 0206a67ebda4d5672def679acd23bb1e7cb350bed00e5489f0b662e1e7104f9b 1508888 noteedit-data_2.8.1-3_all.deb
Files: 
 b4f22afa00d68cf09f8212dbf25229fa 1095 sound optional noteedit_2.8.1-3.dsc
 52047ea2e7b4d7f7fcc77fbf338ef089 563243 sound optional noteedit_2.8.1-3.diff.gz
 05fef0b26ced120291f463b488d2dbf9 869126 sound optional noteedit_2.8.1-3_i386.deb
 fad37ab64d379db4c2a06422f0d5c67f 1508888 sound optional noteedit-data_2.8.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuB3pcACgkQkuC958YALL0COACeP9xe24zYoeoPJ8VIT5GVbnmu
eUQAnRbSJFgoxiPDC0jPBKgShg7Aujuz
=Ohpu
-----END PGP SIGNATURE-----





Reply sent to Paul Brossier <piem@debian.org>:
You have taken responsibility. (Mon, 22 Feb 2010 01:48:20 GMT) Full text and rfc822 format available.

Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Bug acknowledged by developer. (Mon, 22 Feb 2010 01:48:20 GMT) Full text and rfc822 format available.

Reply sent to Paul Brossier <piem@debian.org>:
You have taken responsibility. (Mon, 22 Feb 2010 01:48:21 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 22 Feb 2010 01:48:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Apr 2010 07:29:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:23:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.